Bug 436254 - Akonadi Server not Operational
Summary: Akonadi Server not Operational
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-27 04:33 UTC by Pedro Rosado
Modified: 2021-05-01 03:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Rosado 2021-04-27 04:33:45 UTC
SUMMARY
After update to version 21.04 cannot retrieve my emails

STEPS TO REPRODUCE
1. Start Kontact
2. Program start 
3.  Get Message "The Akonadi personal information management service is not operational"  

OBSERVED RESULT
Cannot see my emails (Gmail)

EXPECTED RESULT
Open and use Kmail

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: openSUSE Tumbleweed
(available in About System)
KDE Plasma Version: 5.21.4
KDE Frameworks Version: 5.81.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION

When running "akonadictl start" in Konsole I get this:
org.kde.pim.akonadictl: Starting Akonadi Server...
org.kde.pim.akonadictl:    done.
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
pedro@localhost:~> org.kde.pim.akonadiserver: Starting up the Akonadi Server...
org.kde.pim.akonadiserver: database server stopped unexpectedly
org.kde.pim.akonadiserver: Database process exited unexpectedly during initial connection!
org.kde.pim.akonadiserver: executable: "/usr/sbin/mysqld"
org.kde.pim.akonadiserver: arguments: ("--defaults-file=/home/pedro/.local/share/akonadi/mysql.conf", "--datadir=/home/pedro/.local/share/akonadi/db_data/", "--socket=/run/user/1000/akonadi/mysql.socket", "--pid-file=/run/user/1000/akonadi/mysql.pid")
org.kde.pim.akonadiserver: stdout: ""
org.kde.pim.akonadiserver: stderr: "2021-04-27  0:36:14 0 [Note] /usr/sbin/mysqld (mysqld 10.5.9-MariaDB) starting as process 9039 ...\n"
org.kde.pim.akonadiserver: exit code: 6
org.kde.pim.akonadiserver: process error: "Process crashed"
org.kde.pim.akonadiserver: Shutting down AkonadiServer...
org.kde.pim.akonadicontrol: Application '/usr/bin/akonadiserver' exited normally...


Before the update application ran fine.
Comment 1 guiand 2021-04-29 13:51:21 UTC
I had the same issue.
Solved by deleting the akonadi database.

rm -r ~/.local/share/akonadi

This only deletes a cache and does not affect any email or data stored locally or on the server itself.

This bug is also reffered to on: https://bugs.archlinux.org/task/68681?string=akonadi&project=1&search_name=&type%5B0%5D=&sev%5B0%5D=&pri%5B0%5D=&due%5B0%5D=&reported%5B0%5D=&cat%5B0%5D=&status%5B0%5D=open&percent%5B0%5D=&opened=&dev=&closed=&duedatefrom=&duedateto=&changedfrom=&changedto=&openedfrom=&openedto=&closedfrom=&closedto=
Comment 2 Pedro Rosado 2021-05-01 03:29:45 UTC
(In reply to guiand from comment #1)
> I had the same issue.
> Solved by deleting the akonadi database.
> 
> rm -r ~/.local/share/akonadi
> 
> This only deletes a cache and does not affect any email or data stored
> locally or on the server itself.
> 
> This bug is also reffered to on:
> https://bugs.archlinux.org/task/
> 68681?string=akonadi&project=1&search_name=&type%5B0%5D=&sev%5B0%5D=&pri%5B0%
> 5D=&due%5B0%5D=&reported%5B0%5D=&cat%5B0%5D=&status%5B0%5D=open&percent%5B0%5
> D=&opened=&dev=&closed=&duedatefrom=&duedateto=&changedfrom=&changedto=&opene
> dfrom=&openedto=&closedfrom=&closedto=


It worked! 

Thank you!